﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SyncfusionASPNETApplication8._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
        <ej:RTE ID="rteSample" Width="100%" ToolsList="customTools" runat="server" MinWidth="200px" ClientSideOnPreRender="render">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
               <Tools>
                <CustomTools>
                    <ej:CustomTools  Css="InsertImage" Name="InsertImage" Text="InsertImage" Tooltip="InsertImage" />
                </CustomTools>
            </Tools>
        </ej:RTE>
    <script>
        function render() {
            $("div.InsertImage").html("").attr("id", "InsertImagee");
            $("#InsertImagee").ejUploadbox({
                saveUrl: "saveFiles.ashx",
                removeUrl: "removeFiles.ashx",                
                complete: "success", dialogAction: { content: "body", closeOnComplete: true, }
            });
           
        }
        function success(args,val) {
            var rteObj = $("#<%=rteSample.ClientID%>").data("ejRTE")
            var image = ej.buildTag("img#image");
            image.attr("src", args.responseText);
            $(rteObj.getDocument()).find("body").append(image);
        }
    </script>
</asp:Content>


